Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Glibcxx_3.4.21??
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Sun Jan 03, 2016 9:52 pm    Post subject: Glibcxx_3.4.21?? Reply with quote

Der Start von LightZone bricht mit folgender Meldung ab:

Code:
Starting LightZone version 4.1.4 ...
with options :
This is LightZone 4.1.4 ()
Verifying Libraries
java.lang.UnsatisfiedLinkError: /usr/lib64/lightzone/libfbf.so: /usr/lib/gcc/x86_64-pc-linux-gnu/4.9.3/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /usr/lib64/lightzone/libfbf.so)
        at java.lang.ClassLoader$NativeLibrary.load(Native Method)
        at java.lang.ClassLoader.loadLibrary1(ClassLoader.java:1965)
        at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1890)
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1880)
        at java.lang.Runtime.loadLibrary0(Runtime.java:849)
        at java.lang.System.loadLibrary(System.java:1088)
        at com.lightcrafts.app.Application.verifyLibraries(Application.java:1711)
        at com.lightcrafts.app.Application.main(Application.java:2167)
        at com.lightcrafts.platform.linux.LinuxLauncher.main(LinuxLauncher.java:46)


Wo kommt kommt GLibCXX her? Oder was bedeutet diese Fehlermeldung?

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
AmonAmarth
l33t
l33t


Joined: 03 Mar 2005
Posts: 727

PostPosted: Mon Jan 04, 2016 3:25 pm    Post subject: Reply with quote

scheint als wäre in lightzone ein binary enthalten was mit GCC 3 gebaut worden ist. versuchs mal hiermit:

Code:
* sys-libs/libstdc++-v3
     Available versions:  (5) 3.3.6 3.3.6-r1
       {multilib nls}
     Homepage:            https://gcc.gnu.org/libstdc++/
     Description:         Compatibility package for running binaries linked against a pre gcc 3.4 libstdc++

wenn das nicht hilft gib mal die ausgabe von
Code:
ldd /path/to/lightzone
bzw.
Code:
ldd /usr/lib64/lightzone/libfbf.so
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Tue Jan 05, 2016 8:32 pm    Post subject: Reply with quote

Danke, mit sys-libs/libstdc++-v3 funktioniert das jetzt. Das wäre die Ausgabe von ldd:

Code:

ldd /usr/lib64/lightzone/libfbf.so
/usr/lib64/lightzone/libfbf.so: /usr/lib/gcc/x86_64-pc-linux-gnu/4.9.3/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /usr/lib64/lightzone/libfbf.so)
        linux-vdso.so.1 (0x00007ffef6b65000)
        libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.9.3/libstdc++.so.6 (0x00007f458827b000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f4587f76000)
        libgcc_s.so.1 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.9.3/libgcc_s.so.1 (0x00007f4587d5f000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f45879c0000)
        /lib64/ld-linux-x86-64.so.2 (0x000055f4d74cf000)


Inzwischen startet es, aber gibt noch Fehler:

Code:
java.lang.UnsatisfiedLinkError: /usr/lib64/lightzone/libLCJPEG.so: libjpeg.so.8: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
        at java.lang.ClassLoader$NativeLibrary.load(Native Method)
        at java.lang.ClassLoader.loadLibrary1(ClassLoader.java:1965)
        at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1890)
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1880)
        at java.lang.Runtime.loadLibrary0(Runtime.java:849)
        at java.lang.System.loadLibrary(System.java:1088)
        at com.lightcrafts.app.Application.verifyLibraries(Application.java:1711)
        at com.lightcrafts.app.Application.main(Application.java:2167)
        at com.lightcrafts.platform.linux.LinuxLauncher.main(LinuxLauncher.java:46)


uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
AmonAmarth
l33t
l33t


Joined: 03 Mar 2005
Posts: 727

PostPosted: Thu Jan 07, 2016 5:07 pm    Post subject: Reply with quote

es scheint wirklich so zu sein als ob du ein fertig binary installiert und es nicht selbst gebaut hast. libLCJPEG.so wurde gegen eine jpeg lib gelink in der "version 8" (was auch immer das heissen mag..).

versuch mal die jpeg lib von deinem system (media-libs/libjpeg-turbo) in den lightzone lib folder mit dem entsprechenden dateinamen zu linken:
Code:
ln -s /usr/lib64/libjpeg.so /usr/lib64/lightzone/libjpeg.so.8
Back to top
View user's profile Send private message
uhai
Veteran
Veteran


Joined: 23 Aug 2007
Posts: 1158
Location: Eppingen, Germany

PostPosted: Thu Jan 07, 2016 8:13 pm    Post subject: Reply with quote

Stimmt, gebaut habe ich nichts... binaries & java, in die Verzeichnisse verteilt und gebetet.... bin wohl nicht katholisch genug.

Der Link bringt den nächsten Fehler zu tage, muss vermutlich alles wieder entfernen, die Sourcen direkt holen und ein ebuild bauen lernen. Ich habe gehofft, bei java auf das ebuild und die Dokumentation dazu verzichten zu können.

uhai
_________________
Asus 4A785TD-M EVO mit AMD Phenom(tm) II X4 945
Dell Mini 10v
http://www.openstreetmap.org
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum